/*
	SORTIER.H

	Module zum C-Kurs, Teil 16
	http://members.aol.com/pcdbascht/ckmain.htm

	(c) 1998, 1999 Sebastian Cyris
*/

#include "struktur.h"

#ifndef _sortier_h
#define _sortier_h

EVL *InsertionSort	( EVL *Liste, double Wert );
EVL *BubbleSort		( EVL *Liste );

void	quicksort	(int *feld, int links, int rechts );

/* vorsortierte Bume */

Knoten		*SortBaumEinf		(Knoten *Baum, char Wert);
void		SortBaumAusgeben	(Knoten *Baum);

Knoten		*MinElement			(Knoten *Baum);
Knoten		*MaxElement			(Knoten *Baum);

/* heapsort */

void downheap (int *feld, int N, int k);
void heapsort (int *feld, int N);

#endif